# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Sep 30 18:19:37 2022
# ------------------------------------------------

package:
  name: imagecodecs
  version: 2021.8.26
source:
  patches:
    - 0001-remove-blosc2-codec.patch
  sha256: e87994d918ea951a589ec46648c24d9c7e56b7b5c2466d93f3b07883f0ecea19
  url: https://pypi.io/packages/source/i/imagecodecs/imagecodecs-2021.8.26.tar.gz
build:
  entry_points:
    - imagecodecs=imagecodecs.__main__:main
  ignore_run_exports:
    - brotli
    - libbrotlicommon
  number: '1'
  string: py39hf0132c2_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - patch 2.7.6 h7b6447c_1001
    - pkg-config 0.29.2 h1bed415_8
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - blosc 1.21.0 h4ff587b_1
    - brotli 1.0.9 h5eee18b_7
    - brotli-bin 1.0.9 h5eee18b_7
    - brunsli 0.1 h2531618_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.07.19 h06a4308_0
    - certifi 2022.9.14 py39h06a4308_0
    - cfitsio 3.470 h5893167_7
    - charls 2.2.0 h2531618_0
    - cython 0.29.32 py39h6a678d5_0
    - giflib 5.2.1 h7b6447c_0
    - intel-openmp 2021.4.0 h06a4308_3561
    - jpeg 9e h7f8727e_0
    - jxrlib 1.1 h7b6447c_2
    - krb5 1.19.2 hac12032_0
    - lcms2 2.12 h3be6417_0
    - ld_impl_linux-64 2.38 h1181459_1
    - lerc 3.0 h295c915_0
    - libaec 1.0.4 he6710b0_1
    - libbrotlicommon 1.0.9 h5eee18b_7
    - libbrotlidec 1.0.9 h5eee18b_7
    - libbrotlienc 1.0.9 h5eee18b_7
    - libcurl 7.84.0 h91b91d3_0
    - libdeflate 1.8 h7f8727e_5
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libpng 1.6.37 hbc83047_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.1.0 hecacb30_2
    - libwebp 1.2.0 h89dd481_0
    - libzopfli 1.0.3 he6710b0_0
    - lz4-c 1.9.3 h295c915_1
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py39h7f8727e_0
    - ncurses 6.3 h5eee18b_3
    - numpy-base 1.16.6 py39h73d599e_4
    - numpy-devel 1.16.6 py39hef7d012_4
    - openjpeg 2.3.0 h05c96fa_1
    - openssl 1.1.1q h7f8727e_0
    - pip 22.2.2 py39h06a4308_0
    - python 3.9.13 haa1d7c7_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 63.4.1 py39h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - snappy 1.1.9 h295c915_0
    - sqlite 3.39.3 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022c h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.6 h5eee18b_0
    - zfp 0.5.5 h295c915_6
    - zlib 1.2.12 h5eee18b_3
    - zstd 1.5.2 ha4553b6_0
  run:
    - blosc >=1.21.0,<2.0a0
    - brotli >=1.0.9,<1.1.0a0
    - brunsli >=0.1,<1.0a0
    - bzip2 >=1.0.8,<2.0a0
    - cfitsio >=3.470,<3.471.0a0
    - charls >=2.2.0,<2.3.0a0
    - giflib >=5.2.1,<5.3.0a0
    - jpeg >=9e,<10a
    - jxrlib >=1.1,<1.2.0a0
    - lcms2 >=2.12,<3.0a0
    - lerc >=3.0,<4.0a0
    - libaec >=1.0.4,<2.0a0
    - libbrotlidec >=1.0.9,<1.1.0a0
    - libbrotlienc >=1.0.9,<1.1.0a0
    - libdeflate >=1.8,<1.9.0a0
    - libgcc-ng >=11.2.0
    - libpng >=1.6.37,<1.7.0a0
    - libstdcxx-ng >=11.2.0
    - libtiff >=4.1.0,<5.0a0
    - libwebp >=1.2.0,<1.3.0a0
    - libzopfli >=1.0.3,<1.1.0a0
    - lz4-c >=1.9.3,<1.10.0a0
    - numpy >=1.16.6,<2.0a0
    - openjpeg >=2.3.0,<3.0a0
    - python >=3.9,<3.10.0a0
    - snappy >=1.1.9,<2.0a0
    - xz >=5.2.6,<6.0a0
    - zfp >=0.5.5,<1.0a0
    - zlib >=1.2.12,<1.3.0a0
    - zstd >=1.5.2,<1.6.0a0
test:
  commands:
    - cd tests
    - pytest -vv test_imagecodecs.py -k "not test_image_roundtrips[jpeg2k-uint16-rgb-out-bytearray-None]"
  imports:
    - imagecodecs
    - imagecodecs._imagecodecs
  requires:
    - pytest
  source_files:
    - tests
about:
  description: 'The imagecodecs package provides various block-oriented, in-memory
    buffer

    transformation, compression, and decompression functions for use in the

    tifffile, czifile, and other Python imaging modules.


    Decode and/or encode functions are currently implemented for Zlib DEFLATE,

    ZStandard, Blosc, LZMA, BZ2, LZ4, LZW, LZF, PNG, WebP, JPEG 8-bit,

    JPEG 12-bit, JPEG SOF=0xC3, JPEG 2000, JPEG XR, PackBits, Packed Integers,

    Delta, XOR Delta, Floating Point Predictor, and Bitorder reversal.

    '
  dev_url: https://github.com/cgohlke/imagecodecs
  doc_url: https://www.lfd.uci.edu/~gohlke/
  home: https://www.lfd.uci.edu/~gohlke/
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - 3rdparty/bitshuffle/LICENSE
    - 3rdparty/liblzf/LICENSE
    - 3rdparty/openjpeg/LICENSE
    - LICENSE
  summary: Image transformation, compression, and decompression codecs
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 65706057-b482-46f6-b5c5-54c4e7d25390
  recipe-maintainers:
    - csachs
    - hmaarrfk
    - sdvillal
  remote_url: git@github.com:AnacondaRecipes/imagecodecs-feedstock.git
  sha: 22bc545e131371fabe9709436c05a8d942fbc23f
